// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
function calcul(){
document.f1.tt7.value=eval(document.f1.tt6.value)}
		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1=""; var rep2=""; var rep3=""; var rep4="";var rep5=""; var rep6=""; var rep7=""; var rep8="";var rep9="";var rep10="";
var q=eval(parent.haut.document.f1.t1.value)//#question

var repo1="radio";
	var repo2="ultraviolet";
	var repo3="visible";
	var repo4="infrarouge";
	var repo5="radio";
	var repo6="radio";
	var repo7="infrarouge";
	var repo8="rayons &gamma;";
	var repo9="rayons X";
	var repo10="radio";
	
//parent.haut.document.f1.t1.value=eval(q+1);

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
		if (document.f1.s1.value==1) {pt+=0.2;pt2+=0.2;qu+=1;rep1='radio'}
		if (document.f1.s1.value==2) {rep1="infrarouge"}
		if (document.f1.s1.value==3) {rep1="visible"}
		if (document.f1.s1.value==4) {rep1="ultraviolet"}
		if (document.f1.s1.value==5) {rep1="rayons X"}
		if (document.f1.s1.value==6) {rep1="rayons &gamma;"}
		if (document.f1.s2.value==1) {rep2='radio'}
		if (document.f1.s2.value==2) {rep2="infrarouge"}
		if (document.f1.s2.value==3) {rep2="visible"}
		if (document.f1.s2.value==4) {pt+=0.2;pt2+=0.2;qu+=1;rep2="ultraviolet"}
		if (document.f1.s2.value==5) {rep2="rayons X"}
		if (document.f1.s2.value==6) {rep2="rayons &gamma;"}
		if (document.f1.s3.value==1) {rep3='radio'}
		if (document.f1.s3.value==2) {rep3="infrarouge"}
		if (document.f1.s3.value==3) {pt+=0.2;pt2+=0.2;qu+=1;rep3="visible"}
		if (document.f1.s3.value==4) {rep3="ultraviolet"}
		if (document.f1.s3.value==5) {rep3="rayons X"}
		if (document.f1.s3.value==6) {rep3="rayons &gamma;"}
		if (document.f1.s4.value==1) {rep4='radio'}
		if (document.f1.s4.value==2) {pt+=0.2;pt2+=0.2;qu+=1;rep4="infrarouge"}
		if (document.f1.s4.value==3) {rep4="visible"}
		if (document.f1.s4.value==4) {rep4="ultraviolet"}
		if (document.f1.s4.value==5) {rep4="rayons X"}
		if (document.f1.s4.value==6) {rep4="rayons &gamma;"}
		if (document.f1.s5.value==1) {pt+=0.2;pt2+=0.2;qu+=1;rep5='radio'}
		if (document.f1.s5.value==2) {rep5="infrarouge"}
		if (document.f1.s5.value==3) {rep5="visible"}
		if (document.f1.s5.value==4) {rep5="ultraviolet"}
		if (document.f1.s5.value==5) {rep5="rayons X"}
		if (document.f1.s5.value==6) {rep5="rayons &gamma;"}
		if (document.f1.s6.value==1) {pt+=0.2;pt2+=0.2;qu+=1;rep6='radio'}
		if (document.f1.s6.value==2) {rep6="infrarouge"}
		if (document.f1.s6.value==3) {rep6="visible"}
		if (document.f1.s6.value==4) {rep6="ultraviolet"}
		if (document.f1.s6.value==5) {rep6="rayons X"}
		if (document.f1.s6.value==6) {rep6="rayons &gamma;"}
		if (document.f1.s7.value==1) {rep7='radio'}
		if (document.f1.s7.value==2) {pt+=0.2;pt2+=0.2;qu+=1;rep7="infrarouge"}
		if (document.f1.s7.value==3) {rep7="visible"}
		if (document.f1.s7.value==4) {rep7="ultraviolet"}
		if (document.f1.s7.value==5) {rep7="rayons X"}
		if (document.f1.s7.value==6) {rep7="rayons &gamma;"}
		if (document.f1.s8.value==1) {rep8='radio'}
		if (document.f1.s8.value==2) {rep8="infrarouge"}
		if (document.f1.s8.value==3) {rep8="visible"}
		if (document.f1.s8.value==4) {rep8="ultraviolet"}
		if (document.f1.s8.value==5) {rep8="rayons X"}
		if (document.f1.s8.value==6) {pt+=0.2;pt2+=0.2;qu+=1;rep8="rayons &gamma;"}
		if (document.f1.s9.value==1) {rep9='radio'}
		if (document.f1.s9.value==2) {rep9="infrarouge"}
		if (document.f1.s9.value==3) {rep9="visible"}
		if (document.f1.s9.value==4) {rep9="ultraviolet"}
		if (document.f1.s9.value==5) {pt+=0.2;pt2+=0.2;qu+=1;rep9="rayons X"}
		if (document.f1.s9.value==6) {rep9="rayons &gamma;"}
		if (document.f1.s10.value==1) {pt+=0.2;pt2+=0.2;qu+=1;rep10='radio'}
		if (document.f1.s10.value==2) {rep10="infrarouge"}
		if (document.f1.s10.value==3) {rep10="visible"}
		if (document.f1.s10.value==4) {rep10="ultraviolet"}
		if (document.f1.s10.value==5) {rep10="rayons X"}
		if (document.f1.s10.value==6) {rep10="rayons &gamma;"}
		
if(parent.haut.document.f1.tst26.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst26.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	duree2=eval(duree1+s);
	parent.haut.document.f1.h5.value=duree2;
	parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst26.value="1"

	}
	va=1;}
	
	var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=40%><p><div align=center> eh oui, il faut savoir compter et estimer des ordres de grandeurs ! </div></p></td>"+
 "<td width=60%><table width=100%  border=1 cellspacing=1 cellpadding=1  class=rep><tr><td width=50%>votre r&eacute;ponse </td>"+
 "<td width=50%>solution</td></tr><tr><td>"+rep1+"</td><td>"+repo1+"</td></tr><tr><td>"+rep2+"</td> <td>"+repo2+"</td></tr><tr><td>"+rep3+"</td><td>"+repo3+"</td>"+
"</tr><tr><td>"+rep4+"</td><td>"+repo4+"</td></tr><tr><td>"+rep5+"</td><td>"+repo5+"</td></tr><tr><td>"+rep6+"</td><td>"+repo6+"</td></tr><tr><td>"+rep7+"</td><td>"+repo7+"</td></tr><tr><td>"+rep8+"</td><td>"+repo8+"</td></tr><tr><td>"+rep9+"</td><td>"+repo9+"</td></tr><tr><td>"+rep10+"</td><td>"+repo10+"</td></tr><td colspan=2><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s)<br>"+temps+"  </p></td></tr>"+
"<tr><td colspan=2><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table> "

	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		
//Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")

